#include<iostream>
using namespace std;

int main(){
    int a,b,x,y;
    cin >> a >> b >> x >> y;
    if (x==a){
        if (y<b) {cout << "drugi";}
        else {cout << "nijedan";}
    }
    else{
        if (y==b) {cout << "prvi";}
        else {cout << "?";}
    }
    return 0;
}